---
proxy_dns_socks5:
  description: Use proxy DNS when using SOCKS v5
  default: false
  mode: advanced
  disabled:
    type: jinja
    jinja: |
      {% if _.proxy_mode != 'Manual proxy configuration' %}
      the proxy mode is not manual
      {% elif socks_version == 'v4' %}
      socks version is v4
      {% endif %}
    params:
      socks_version:
        type: variable
        variable: _.manual.socks_proxy.version
        propertyerror: false
    description: |
      if "firefox.proxy_mode" is not "Manual proxy configuration" or "firefox.manual.socks_proxy.version" is "v4"
